2017-03-28 06:22 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004656MPDMPDpublic2017-03-01 16:16
Reportersamfuzz 
Assigned Tocirrus 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86_64, rasperry pi armv6lOSubuntu 16.04 , raspbian OS Version
Product Version0.20 
Target VersionFixed in Version0.20 
Summary0004656: mpd crash, when seeking musepack file
Descriptionsince version 0.20 mpd crash when seeking musepack file
no problem with 0.19.21
test with 0.20, 0.20.4 0.20.5
on rasperry pi/raspbian (based on debian jessie) and amd64/ubuntu 16.04
Steps To Reproduceadd musepack file play and seek
Additional Informationadd backtrace, mpd.conf and mpd --version
TagsNo tags attached.
Attached Files
  • ? file icon backtrace (6,203 bytes) 2017-02-26 23:24 -
    samuel@Mudhoney:~/mpd$ gdb --args mpd --stdout --no-daemon --verbose /etc/mpd.conf
    GNU gdb (Ubuntu 7.11.1-0ubuntu1~16.04) 7.11.1
    Copyright (C) 2016 Free Software Foundation, Inc.
    License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
    This is free software: you are free to change and redistribute it.
    There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
    and "show warranty" for details.
    This GDB was configured as "x86_64-linux-gnu".
    Type "show configuration" for configuration details.
    For bug reporting instructions, please see:
    <http://www.gnu.org/software/gdb/bugs/>.
    Find the GDB manual and other documentation resources online at:
    <http://www.gnu.org/software/gdb/documentation/>.
    For help, type "help".
    Type "apropos word" to search for commands related to "word"...
    Reading symbols from mpd...done.
    (gdb) run
    Starting program: /usr/local/bin/mpd --stdout --no-daemon --verbose /etc/mpd.conf
    [Thread debugging using libthread_db enabled]
    Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
    config_file: loading file /etc/mpd.conf
    soxr: soxr converter 'very high'
    vorbis: Xiph.Org libVorbis 1.3.5
    opus: libopus 1.1.2
    sndfile: libsndfile-1.0.25
    adplug: adplug 2.2.1
    curl: version 7.47.0
    curl: with GnuTLS/3.4.10
    [New Thread 0x7fffd4dd6700 (LWP 16910)]
    avahi: Initializing interface
    avahi: Client changed to state 2
    avahi: Client is RUNNING
    avahi: Registering service _mpd._tcp/Music Player
    avahi: Service group changed to state 0
    avahi: Service group is UNCOMMITED
    [New Thread 0x7fffd45d5700 (LWP 16911)]
    state_file: Loading state file /home/samuel/mpd/state
    exception: Failed to open /home/samuel/mpd/state: No such file or directory
    [New Thread 0x7fffd3dd4700 (LWP 16912)]
    [New Thread 0x7fffd31c3700 (LWP 16913)]
    exception: OutputThread could not get realtime scheduling, continuing anyway: sched_setscheduler failed: Operation not permitted
    [New Thread 0x7fffd29c2700 (LWP 16914)]
    avahi: Service group changed to state 1
    avahi: Service group is REGISTERING
    avahi: Service group changed to state 2
    avahi: Service 'Music Player' successfully established.
    client: [0] opened from 127.0.0.1:44702
    client: [0] process command list
    client: process command "add "albums/F/Fall, The/1981 - Slates/02. The Fall - An Older Lover etc..mpc""
    client: command returned 0
    client: [0] process command list returned 0
    client: [0] closed
    state_file: Saving state file /home/samuel/mpd/state
    client: [1] opened from 127.0.0.1:44704
    client: [1] process command "play"
    playlist: play 0:"albums/F/Fall, The/1981 - Slates/02. The Fall - An Older Lover etc..mpc"
    client: [1] command returned 0
    decoder_thread: probing plugin mpcdec
    client: [1] process command list
    client: process command "status"
    client: command returned 0
    client: process command "currentsong"
    client: command returned 0
    client: [1] process command list returned 0
    decoder: audio_format=44100:24:2, seekable=true
    client: [1] closed
    output: opened plugin=pulse name="Pulseaudio" audio_format=44100:24:2
    replay_gain: replay gain mode has changed off->track
    replay_gain: scale=1.000000
    replay_gain: scale=0.367633
    state_file: Saving state file /home/samuel/mpd/state
    client: [2] opened from 127.0.0.1:44706
    client: [2] process command "status"
    client: [2] command returned 0
    client: [2] process command "seekid "1" "18""
    client: [2] command returned 0
    replay_gain: scale=1.000000
    client: [2] process command list
    client: process command "status"
    client: command returned 0
    client: process command "currentsong"
    client: command returned 0
    client: [2] process command list returned 0
    client: [2] closed
    
    Thread 4 "decoder:mpcdec" received signal SIGFPE, Arithmetic exception.
    [Switching to Thread 0x7fffd3dd4700 (LWP 16912)]
    0x000000000046d06f in DecoderClient::SubmitData (
        kbit_rate=<error reading variable: Division by zero>, length=0, 
        data=0x7fffd3dcee40, is=..., this=0x7fffd3dd3760)
        at src/decoder/plugins/../Client.hxx:138
    138			return SubmitData(&is, data, length, kbit_rate);
    (gdb) bt
    #0  0x000000000046d06f in DecoderClient::SubmitData (
        kbit_rate=<error reading variable: Division by zero>, length=0, 
        data=0x7fffd3dcee40, is=..., this=0x7fffd3dd3760)
        at src/decoder/plugins/../Client.hxx:138
    #1  mpcdec_decode (client=..., is=...)
        at src/decoder/plugins/MpcdecDecoderPlugin.cxx:221
    #2  0x0000000000441c70 in DecoderPlugin::StreamDecode (
        this=0x4b61a0 <mpcdec_decoder_plugin>, is=..., client=...)
        at src/decoder/DecoderPlugin.hxx:127
    #3  decoder_stream_decode (plugin=..., bridge=..., input_stream=...)
        at src/decoder/DecoderThread.cxx:123
    #4  0x0000000000442331 in TryDecoderFile (plugin=..., input_stream=..., 
        suffix=0x7fffcc000d75 "mpc", path_fs=..., bridge=...)
        at src/decoder/DecoderThread.cxx:325
    #5  <lambda(const DecoderPlugin&)>::operator() (plugin=..., 
        __closure=<synthetic pointer>) at src/decoder/DecoderThread.cxx:406
    #6  decoder_plugins_try<decoder_run_file(DecoderBridge&, char const*, Path)::<lambda(const DecoderPlugin&)> > (f=...) at src/decoder/DecoderList.hxx:60
    #7  decoder_run_file (path_fs=..., 
        uri_utf8=0x7fffcc000d10 "/home/samuel/Musique/Discotheque/albums/F/Fall, The/1981 - Slates/02. The Fall - An Older Lover etc..mpc", bridge=...)
        at src/decoder/DecoderThread.cxx:406
    #8  DecoderUnlockedRunUri (path_fs=..., 
    ---Type <return> to continue, or q <return> to quit--- 
        sique/Discotheque/albums/F/Fall, The/1981 - Slates/02. The Fall - An Older Lover etc..mpc", bridge=...)
        at src/decoder/DecoderThread.cxx:420
    #9  decoder_run_song (path_fs=..., uri=0x7fffcc000d10 "/home/samuel/Musique/Discotheque/albums/F/Fall, The/1981 - Slates/02. The Fall - An Older Lover etc..mpc", song=..., 
        dc=...) at src/decoder/DecoderThread.cxx:463
    #10 decoder_run (dc=...) at src/decoder/DecoderThread.cxx:506
    #11 0x0000000000442aba in decoder_task (arg=0x7fffd45d4b30) at src/decoder/DecoderThread.cxx:532
    #12 0x00000000004a31ce in Thread::ThreadProc (ctx=<optimized out>) at src/thread/Thread.cxx:105
    #13 0x00007fffedbb66ba in start_thread (arg=0x7fffd3dd4700) at pthread_create.c:333
    #14 0x00007fffed8ec82d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109
    (gdb) 
    (gdb) 
    (gdb) 
    
    ? file icon backtrace (6,203 bytes) 2017-02-26 23:24 +
  • ? file icon mpd--version (2,179 bytes) 2017-02-26 23:24 -
    samuel@Mudhoney:~/mpd$ /usr/local/bin/mpd --version
    Music Player Daemon 0.20.5
    
    Copyright (C) 2003-2007 Warren Dukes <warren.dukes@gmail.com>
    Copyright 2008-2017 Max Kellermann <max.kellermann@gmail.com>
    This is free software; see the source for copying conditions.  There is NO
    warranty; not even MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
    
    Database plugins:
     simple proxy upnp
    
    Storage plugins:
     local smbclient nfs curl
    
    Neighbor plugins:
     smbclient upnp
    
    Decoders plugins:
     [mad] mp3 mp2
     [mpg123] mp3
     [vorbis] ogg oga
     [oggflac] ogg oga
     [flac] flac
     [opus] opus ogg oga
     [sndfile] wav aiff aif au snd paf iff svx sf voc w64 pvf xi htk caf sd2
     [audiofile] wav au aiff aif
     [dsdiff] dff
     [dsf] dsf
     [faad] aac
     [mpcdec] mpc
     [wavpack] wv
     [modplug] 669 amf ams dbm dfm dsm far it med mdl mod mtm mt2 okt s3m stm ult umx xm
     [sidplay] sid mus str prg P00
     [wildmidi] mid
     [fluidsynth] mid
     [adplug] amd d00 hsc laa rad raw sa2
     [ffmpeg] 16sv 3g2 3gp 4xm 8svx aa3 aac ac3 afc aif aifc aiff al alaw amr anim apc ape asf atrac au aud avi avm2 avs bap bfi c93 cak cin cmv cpk daud dct divx dts dv dvd dxa eac3 film flac flc fli fll flx flv g726 gsm gxf iss m1v m2v m2t m2ts m4a m4b m4v mad mj2 mjpeg mjpg mka mkv mlp mm mmf mov mp+ mp1 mp2 mp3 mp4 mpc mpeg mpg mpga mpp mpu mve mvi mxf nc nsv nut nuv oga ogm ogv ogx oma ogg omg opus psp pva qcp qt r3d ra ram rl2 rm rmvb roq rpl rvc shn smk snd sol son spx str swf tak tgi tgq tgv thp ts tsp tta xa xvid uv uv2 vb vid vob voc vp6 vmd wav webm wma wmv wsaud wsvga wv wve
     [gme] ay gbs gym hes kss nsf nsfe sap spc vgm vgz
     [pcm]
    
    Filters:
     libsamplerate soxr
    
    Tag plugins:
     id3tag
    
    Output plugins:
     shout null fifo alsa roar ao oss openal pulse jack httpd recorder
    
    Encoder plugins:
     null vorbis opus lame wave flac
    
    Archive plugins:
     [bz2] bz2
     [iso] iso
    
    Input plugins:
     file alsa archive curl ffmpeg smbclient nfs mms cdio_paranoia
    
    Playlist plugins:
     extm3u m3u pls xspf asx rss soundcloud flac cue embcue
    
    Protocols:
     file:// http:// https:// mms:// mmsh:// mmst:// mmsu:// gopher:// rtp:// rtsp:// rtmp:// rtmpt:// rtmps:// smb:// nfs:// cdda:// alsa://
    
    Other features:
     avahi epoll icu inotify systemd tcp un
    
    
    ? file icon mpd--version (2,179 bytes) 2017-02-26 23:24 +
  • ? file icon mpd.conf (13,889 bytes) 2017-02-26 23:24
  • ? file icon backtrace_raspberrypi (7,110 bytes) 2017-02-27 00:02 -
    pi@raspberrypi:~/mpd $ gdb --args mpd --stdout --no-daemon --verbose /etc/mpd.conf
    GNU gdb (Raspbian 7.7.1+dfsg-5+rpi1) 7.7.1
    Copyright (C) 2014 Free Software Foundation, Inc.
    License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
    This is free software: you are free to change and redistribute it.
    There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
    and "show warranty" for details.
    This GDB was configured as "arm-linux-gnueabihf".
    Type "show configuration" for configuration details.
    For bug reporting instructions, please see:
    <http://www.gnu.org/software/gdb/bugs/>.
    Find the GDB manual and other documentation resources online at:
    <http://www.gnu.org/software/gdb/documentation/>.
    For help, type "help".
    Type "apropos word" to search for commands related to "word"...
    Reading symbols from mpd...done.
    (gdb) run
    Starting program: /usr/local/bin/mpd --stdout --no-daemon --verbose /etc/mpd.conf
    [Thread debugging using libthread_db enabled]
    Using host libthread_db library "/lib/arm-linux-gnueabihf/libthread_db.so.1".
    config_file: loading file /etc/mpd.conf
    soxr: soxr converter 'very high'
    vorbis: Xiph.Org libVorbis 1.3.4
    opus: libopus 1.1
    sndfile: libsndfile-1.0.25
    wildmidi: configuration file does not exist: /etc/timidity/timidity.cfg
    adplug: adplug 2.2.1
    simple_db: reading DB
    curl: version 7.38.0
    curl: with GnuTLS/3.3.8
    [New Thread 0xb12c1380 (LWP 7152)]
    avahi: Initializing interface
    avahi: Client changed to state 2
    avahi: Client is RUNNING
    avahi: Registering service _mpd._tcp/Music Player
    avahi: Service group changed to state 0
    avahi: Service group is UNCOMMITED
    [New Thread 0xb0ac1380 (LWP 7153)]
    state_file: Loading state file /home/pi/mpd/state
    exception: Failed to open /home/pi/mpd/state: No such file or directory
    [New Thread 0xb02c1380 (LWP 7154)]
    inotify: initializing inotify
    inotify: watching music directory
    [New Thread 0xaf4f4380 (LWP 7155)]
    exception: OutputThread could not get realtime scheduling, continuing anyway: sched_setscheduler failed: Operation not permitted
    [New Thread 0xaecf4380 (LWP 7156)]
    exception: OutputThread could not get realtime scheduling, continuing anyway: sched_setscheduler failed: Operation not permitted
    [New Thread 0xae2ff380 (LWP 7157)]
    exception: OutputThread could not get realtime scheduling, continuing anyway: sched_setscheduler failed: Operation not permitted
    [New Thread 0xadaff380 (LWP 7158)]
    avahi: Service group changed to state 1
    avahi: Service group is REGISTERING
    avahi: Service group changed to state 3
    avahi: Service name collision, renaming service to 'Music Player #2'
    avahi: Registering service _mpd._tcp/Music Player #2
    avahi: Service group changed to state 1
    avahi: Service group is REGISTERING
    avahi: Service group changed to state 2
    avahi: Service 'Music Player #2' successfully established.
    client: [0] opened from 127.0.0.1:60990
    client: [0] process command list
    client: process command "add "1996 - High_Low/02. Nada Surf - The Plan.mpc""
    client: command returned 0
    client: [0] process command list returned 0
    client: [0] closed
    state_file: Saving state file /home/pi/mpd/state
    client: [1] opened from 127.0.0.1:60992
    client: [1] process command "play"
    playlist: play 0:"1996 - High_Low/02. Nada Surf - The Plan.mpc"
    decoder_thread: probing plugin mpcdec
    decoder: audio_format=44100:24:2, seekable=true
    client: [1] command returned 0
    client: [1] process command list
    client: process command "status"
    alsa_output: opened hw:0,0 type=HW
    alsa_output: buffer: size=8..65536 time=181..1486078
    alsa_output: period: size=4..32768 time=90..743039
    alsa_output: default period_time = buffer_time/4 = 500000/4 = 125000
    [New Thread 0xa52fd380 (LWP 7163)]
    alsa_output: format=S24_LE (Signed 24 bit Little Endian)
    alsa_output: buffer_size=22050 period_size=4410
    output: opened plugin=alsa name="ALSA_mixer" audio_format=44100:24:2
    exception: Failed to open "ALSA" [alsa]
    exception: nested: Failed to open ALSA device "hw:0,0": Device or resource busy
    output: opened plugin=pulse name="Pulseaudio" audio_format=44100:24:2
    replay_gain: replay gain mode has changed off->track
    replay_gain: scale=1.000000
    replay_gain: scale=0.396663
    replay_gain: replay gain mode has changed off->track
    replay_gain: scale=1.000000
    replay_gain: scale=0.396663
    exception: "Pulseaudio" [pulse] failed to play: suspended
    output: closed plugin=pulse name="Pulseaudio"
    exception: Failed to read mixer for 'ALSA': no such mixer control: PCM
    client: command returned 0
    client: process command "currentsong"
    client: command returned 0
    [Thread 0xa52fd380 (LWP 7163) exited]
    client: [1] process command list returned 0
    client: [1] closed
    state_file: Saving state file /home/pi/mpd/state
    client: [2] opened from 127.0.0.1:60994
    client: [2] process command "status"
    client: [2] command returned 0
    client: [2] process command "seekid "1" "28""
    client: [2] command returned 0
    replay_gain: scale=1.000000
    client: [2] process command list
    client: process command "status"
    
    Program received signal SIGFPE, Arithmetic exception.
    [Switching to Thread 0xb02c1380 (LWP 7154)]
    0xb36952e8 in raise (sig=8) at ../nptl/sysdeps/unix/sysv/linux/pt-raise.c:37
    37	../nptl/sysdeps/unix/sysv/linux/pt-raise.c: Aucun fichier ou dossier de ce type.
    (gdb) bt
    #0  0xb36952e8 in raise (sig=8) at ../nptl/sysdeps/unix/sysv/linux/pt-raise.c:37
    #1  0xb36bc14c in __aeabi_ldiv0 () from /lib/arm-linux-gnueabihf/libgcc_s.so.1
    #2  0x00075f40 in mpcdec_decode (client=..., is=...) at src/decoder/plugins/MpcdecDecoderPlugin.cxx:217
    #3  0x0004bb10 in StreamDecode (this=0xb7c48 <mpcdec_decoder_plugin>, is=..., client=...) at src/decoder/DecoderPlugin.hxx:127
    #4  decoder_stream_decode (plugin=..., bridge=..., input_stream=...) at src/decoder/DecoderThread.cxx:123
    #5  0x0004c0d4 in TryDecoderFile (plugin=..., input_stream=..., suffix=0x0, path_fs=..., bridge=...) at src/decoder/DecoderThread.cxx:325
    #6  operator() (plugin=..., __closure=0xb02c0cc0) at src/decoder/DecoderThread.cxx:406
    #7  decoder_plugins_try<decoder_run_file(DecoderBridge&, char const*, Path)::<lambda(const DecoderPlugin&)> > (f=...) at src/decoder/DecoderList.hxx:60
    #8  decoder_run_file (path_fs=..., uri_utf8=0x145acc "/home/pi/music/1996 - High_Low/02. Nada Surf - The Plan.mpc", bridge=...) at src/decoder/DecoderThread.cxx:406
    #9  DecoderUnlockedRunUri (path_fs=..., real_uri=0x145acc "/home/pi/music/1996 - High_Low/02. Nada Surf - The Plan.mpc", bridge=...) at src/decoder/DecoderThread.cxx:420
    #10 decoder_run_song (path_fs=..., uri=0x145acc "/home/pi/music/1996 - High_Low/02. Nada Surf - The Plan.mpc", song=..., dc=...) at src/decoder/DecoderThread.cxx:463
    #11 decoder_run (dc=...) at src/decoder/DecoderThread.cxx:506
    #12 0x0004c7ac in decoder_task (arg=0xb0ac0c98) at src/decoder/DecoderThread.cxx:532
    #13 0x000a89d0 in Thread::ThreadProc (ctx=<optimized out>) at src/thread/Thread.cxx:105
    #14 0xb368be90 in start_thread (arg=0xb02c1380) at pthread_create.c:311
    #15 0xb3615598 in ?? () at ../ports/sysdeps/unix/sysv/linux/arm/nptl/../clone.S:92 from /lib/arm-linux-gnueabihf/libc.so.6
    Backtrace stopped: previous frame identical to this frame (corrupt stack?)
    (gdb)
    
    ? file icon backtrace_raspberrypi (7,110 bytes) 2017-02-27 00:02 +

-Relationships
+Relationships

-Notes

~0010384

samfuzz (reporter)

add raspberrypi backtrace

~0010396

cirrus (administrator)

29a7b2c5b58e8da1e78b3744cd3388dc2e4a6f88
+Notes

-Issue History
Date Modified Username Field Change
2017-02-26 23:24 samfuzz New Issue
2017-02-26 23:24 samfuzz File Added: backtrace
2017-02-26 23:24 samfuzz File Added: mpd--version
2017-02-26 23:24 samfuzz File Added: mpd.conf
2017-02-27 00:02 samfuzz Note Added: 0010384
2017-02-27 00:02 samfuzz File Added: backtrace_raspberrypi
2017-03-01 16:16 cirrus Assigned To => cirrus
2017-03-01 16:16 cirrus Status new => resolved
2017-03-01 16:16 cirrus Resolution open => fixed
2017-03-01 16:16 cirrus Fixed in Version => 0.20
2017-03-01 16:16 cirrus Note Added: 0010396
+Issue History